-- Dogodki
CREATE  TABLE SC_EVENT (
  ID INTEGER NOT NULL,
  NAME VARCHAR2(250) NOT NULL,
  SC_EVSUB_ID INTEGER NOT NULL,
  PRICE NUMBER NOT NULL,
  PRICE_MEMBER NUMBER NOT NULL,
  DATE_START DATE NOT NULL,
  DATE_END DATE NOT NULL,
  DESCRIPTION VARCHAR2(2048)
);

ALTER TABLE SC_EVENT ADD CONSTRAINT SC_EVENT_PK PRIMARY KEY (ID);

ALTER TABLE SC_EVENT ADD CONSTRAINT SC_EVENT_EVSUB_FK FOREIGN KEY (SC_EVSUB_ID) REFERENCES SC_EVSUB(ID);

CREATE SEQUENCE SC_EVENT_SEQ START WITH 1;

-- Viri za dogodek, povezani s SC_RESOURCE in SC_EVRES.
CREATE TABLE SC_EVENTRES (
  ID INTEGER NOT NULL,
  SC_EVENT_ID INTEGER NOT NULL,
  SC_EVRES_ID INTEGER NOT NULL,
  SC_RESOURCE_ID INTEGER NOT NULL
);

ALTER TABLE SC_EVENTRES ADD CONSTRAINT SC_EVENTRES_PK PRIMARY KEY (ID);

ALTER TABLE SC_EVENTRES ADD CONSTRAINT SC_EVENTRES_EV_FK FOREIGN KEY (SC_EVENT_ID) REFERENCES SC_EVENT(ID);

ALTER TABLE SC_EVENTRES ADD CONSTRAINT SC_EVENTRES_ER_FK FOREIGN KEY (SC_EVRES_ID) REFERENCES SC_EVRES(ID);

ALTER TABLE SC_EVENTRES ADD CONSTRAINT SC_EVENTRES_RES_FK FOREIGN KEY (SC_RESOURCE_ID) REFERENCES SC_RESOURCE(ID);

CREATE SEQUENCE SC_EVENTRES_SQL START WITH 1;

-- Udeleenci dogodka
CREATE TABLE SC_EVENTPAR (
  ID INTEGER NOT NULL,
  SC_EVENT_ID INTEGER NOT NULL,
  KUPCI_ID INTEGER NOT NULL
);

ALTER TABLE SC_EVENTPAR ADD CONSTRAINT SC_EVENTPAR_PK PRIMARY KEY (ID);

ALTER TABLE SC_EVENTPAR ADD CONSTRAINT SC_EVENTPAR_EV_FK FOREIGN KEY (SC_EVENT_ID) REFERENCES SC_EVENT(ID);

ALTER TABLE SC_EVENTPAR ADD CONSTRAINT SC_EVENTPAR_KUP_FK FOREIGN KEY (KUPCI_ID) REFERENCES KUPCI(ID);

CREATE SEQUENCE SC_EVENTPAR_SEQ START WITH 1;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(458, SYSDATE, '5.5', 378, 'Sailing Training Centre');