ALTER TABLE SC_EVENTRES ADD DATE_START DATE;

UPDATE SC_EVENTRES SET DATE_START = CURRENT_DATE WHERE DATE_START IS NULL;

ALTER TABLE SC_EVENTRES MODIFY (DATE_START NOT NULL);

ALTER TABLE SC_EVENTRES ADD DATE_END DATE;

UPDATE SC_EVENTRES SET DATE_END = CURRENT_DATE WHERE DATE_END IS NULL;

ALTER TABLE SC_EVENTRES MODIFY (DATE_END NOT NULL);

-- Participant is not a resource, drop everything related and delete record.

ALTER TABLE SC_RESTYPE DROP COLUMN ALLOWPROPS;

DELETE FROM SC_EVRES WHERE SC_RESTYPE_ID = 4;

DELETE FROM SC_RESTYPE WHERE Id = 4;

DROP SEQUENCE SC_EVENTRES_SQL;

CREATE SEQUENCE SC_EVENTRES_SEQ START WITH 1;

CREATE INDEX SC_EVENTRES_IX_01 ON SC_EVENTRES (DATE_START, DATE_END);

ALTER TABLE SC_EVENT ADD MIN_PARTICIPANTS INTEGER;

UPDATE SC_EVENT SET MIN_PARTICIPANTS = 1 WHERE MIN_PARTICIPANTS IS NULL;

ALTER TABLE SC_EVENT MODIFY (MIN_PARTICIPANTS NOT NULL);

ALTER TABLE SC_EVENT ADD MAX_PARTICIPANTS INTEGER;

UPDATE SC_EVENT SET MAX_PARTICIPANTS = 999 WHERE MAX_PARTICIPANTS IS NULL;

ALTER TABLE SC_EVENT MODIFY (MAX_PARTICIPANTS NOT NULL);

ALTER TABLE SC_EVSUB ADD MIN_PARTICIPANTS INTEGER;

UPDATE SC_EVSUB SET MIN_PARTICIPANTS = 0 WHERE MIN_PARTICIPANTS IS NULL;

ALTER TABLE SC_EVSUB MODIFY (MIN_PARTICIPANTS NOT NULL);

ALTER TABLE SC_EVSUB ADD MAX_PARTICIPANTS INTEGER;

UPDATE SC_EVSUB SET MAX_PARTICIPANTS = 0 WHERE MAX_PARTICIPANTS IS NULL;

ALTER TABLE SC_EVSUB MODIFY (MAX_PARTICIPANTS NOT NULL);

ALTER TABLE SC_EVENTRES ADD DATE_RES DATE;

UPDATE SC_EVENTRES SET DATE_RES = TRUNC(DATE_START) WHERE DATE_RES IS NULL;

ALTER TABLE SC_EVENTRES MODIFY (DATE_RES NOT NULL);

ALTER TABLE SC_EVENTRES ADD CONSTRAINT SC_EVENTRES_DATE CHECK(TRUNC(DATE_RES) = TRUNC(DATE_START) AND TRUNC(DATE_RES) = TRUNC(DATE_END));

ALTER TABLE SC_EVENTRES RENAME COLUMN DATE_START TO TIME_START;

ALTER TABLE SC_EVENTRES RENAME COLUMN DATE_END TO TIME_END;

CREATE OR REPLACE VIEW V_SC_EVENTRES AS
SELECT ER.*, E.NAME AS EVENT_NAME, ES.SC_RESTYPE_ID, R.RESTYPECODE, R.NAME AS CUSTOM_NAME, R.PLOVILA_ID, R.KUPCI_ID, P.IME AS PLOVILA_IME,
TRIM((CASE WHEN NVL(K.NTITLE, '') = '' THEN '' ELSE K.NTITLE || '.' END) || ' ' || NVL(K.IME, '') || ' ' || NVL(K.PRIIMEK, '')) AS KUPCI_IME
FROM SC_EVENTRES ER
JOIN SC_EVENT E ON E.ID = ER.SC_EVENT_ID
JOIN SC_EVRES ES ON ES.ID = ER.SC_EVRES_ID
JOIN SC_RESOURCE R ON R.ID = ER.SC_RESOURCE_ID
LEFT OUTER JOIN PLOVILA P ON P.ID = R.PLOVILA_ID
LEFT OUTER JOIN KUPCI K ON K.ID = R.KUPCI_ID;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(473, SYSDATE, '5.5', 393, 'ailing Training Centre');