CREATE TABLE SERVICE_GROUP_TEMPLATE (
	ID NUMBER NOT NULL,
	NAME VARCHAR2(100 CHAR),
	"COMMENT" VARCHAR2(500 CHAR),
	STATUS NUMBER,
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(50 CHAR),
	DATE_CHANGED DATE,
	USER_CHANGED VARCHAR2(50 CHAR),
	CONSTRAINT SERVICE_GROUP_TEMPLATE_PK PRIMARY KEY(ID)
);

CREATE SEQUENCE SERVICE_GROUP_TEMPLATE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_SERVICE_GROUP_TEMPLATE AS (
  SELECT SGT.ID, SGT.NAME, SGT."COMMENT", SGT.STATUS
	FROM SERVICE_GROUP_TEMPLATE SGT
);

ALTER TABLE SERVICE_TEMPLATE
ADD ID_SERVICE_GROUP_TEMPLATE NUMBER;

CREATE OR REPLACE VIEW V_SERVICE_TEMPLATE AS (
  SELECT SE.ID, SE.ID_WORK_ORDER_TEMPLATE, SE.ID_SERVICE_GROUP_TEMPLATE, SE.SERVICE, SE.DATE_FROM, SE.DATE_TO, SE.STATUS, SE.QUANTITY, MN.OPIS AS NNSTOMAR_OPIS
	FROM SERVICE_TEMPLATE SE
  LEFT OUTER JOIN M_NNSTOMAR MN ON MN.SIFRA = SE.SERVICE 
);

ALTER TABLE WORK_ORDER_TEMPLATE
ADD ID_SERVICE_GROUP_TEMPLATE NUMBER;

ALTER TABLE M_STORITVE
ADD ID_SERVICE_TEMPLATE NUMBER;

CREATE OR REPLACE VIEW V_STORITVE AS (
	SELECT M.ID_STORITVE, M.ID_DN, M.ID_POGODBE, M.ID_VPS, M.VRSTA, M.ID_LASTNIKA, M.ID_PLOVILA, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_OD, M.DATUM_DO, M.KOLICINA, M.POPUST, M.OPIS_SERVIS,
  M.ZNESEK, M.VALUTA, M.TECAJ, M.DAVEK, M.N_PONUDBE, M.N_RACUNA, M.DATUM_RACUNA, M.ZAKLJUCEN, M.KOMENTAR, M.DATUM_KREIRANJA, M.USER_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_SPREMEMBE, M.TIP_SERVIS, M.AUTO,
  M.POPUST1, M.POPUST2, M.NAMENP, M.NAMENP1, M.NAMENP2, M.TECAJP, M.DODATNA_STORITEV, M.DOMACA_VALUTA, M.PROVIZIJA, M.DRZAVA, M.SKUPAJ_OSEB, M.ID_KAT, M.PROVIZIJA_DELITEV, M.ID_REZERVACIJE, M.CUSTOM,
  M.CPROVIZIJA, M.SERVICE_COST, M.COMPLETE, M.KOLICINA_INSTR, M.ID_STORITVE_GEN, M.ID_BATCH, M.ID_SALDKONT, M.ID_LASTNIKA_ORG, M.NNLOCATION_ID, M.MIN_FEE, M.ID_LASTNIK_LEASE, 
  NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER,
  NNE.OPIS AS NNSTOMAR_ENOTA_OPIS, NNE.INTERNI_OPIS AS NNSTOMAR_ENOTA_INTERNI_OPIS, MDN.DATUM_DN AS M_DE_NA_DATUM_DN, MDN.TERMIN_DO AS M_DE_NA_TERMIN_DO, MDN.STEVILKA AS M_DE_NA_STEVILKA,
  MDN.STATUS AS M_DE_NA_STATUS, MDN.ORG_STATUS AS M_DE_NA_ORG_STATUS, M.FULL_AMOUNT, M.SERVICE_TIME, M.ID_PRIVEZ, M.SUBLEASE_PAYMENT, M.ID_DAVEK, M.LASTNIK_LEASE_PROCENT, M.ID_REZERVACIJE_CHARTER, M.ID_SERVICE_TEMPLATE,
  KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK
	FROM M_STORITVE M
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
  LEFT OUTER JOIN NNENOTE NNE ON NNE.SIFRA = NS.ENOTA
  LEFT OUTER JOIN M_DE_NA MDN ON MDN.ID_DN = M.ID_DN
  LEFT OUTER JOIN KUPCI KU ON KU.ID = M.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (946, SYSDATE, '5.5', 866, 'Service group template');